corosync_cfg_node_status_v1 Struct Reference

`#include <cfg.h>`

Collaboration diagram for corosync_cfg_node_status_v1:
[legend]

## Data Fields

corosync_cfg_node_status_version_t | version
unsigned int | nodeid
uint8_t | reachable
uint8_t | remote
uint8_t | external
uint8_t | onwire_min
uint8_t | onwire_max
uint8_t | onwire_ver
struct corosync_knet_link_status_v1 | link_status [CFG_MAX_LINKS]

## Detailed Description

Definition at line 181 of file cfg.h.

## Field Documentation

## external

uint8_t corosync_cfg_node_status_v1::external

Definition at line 186 of file cfg.h.

## link_status

struct corosync_knet_link_status_v1 corosync_cfg_node_status_v1::link_status[CFG_MAX_LINKS]

Definition at line 190 of file cfg.h.

## nodeid

unsigned int corosync_cfg_node_status_v1::nodeid

Definition at line 183 of file cfg.h.

## onwire_max

uint8_t corosync_cfg_node_status_v1::onwire_max

Definition at line 188 of file cfg.h.

## onwire_min

uint8_t corosync_cfg_node_status_v1::onwire_min

Definition at line 187 of file cfg.h.

## onwire_ver

uint8_t corosync_cfg_node_status_v1::onwire_ver

Definition at line 189 of file cfg.h.

## reachable

uint8_t corosync_cfg_node_status_v1::reachable

Definition at line 184 of file cfg.h.

## remote

uint8_t corosync_cfg_node_status_v1::remote

Definition at line 185 of file cfg.h.

## version

corosync_cfg_node_status_version_t corosync_cfg_node_status_v1::version

Definition at line 182 of file cfg.h.

The documentation for this struct was generated from the following file:

- cfg.h